Information Disclosure Affecting org.jboss:jboss-ejb-client Open this link in a new tab package, versions [,4.0.39.Final)


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGJBOSS-1075450

  • published

    17 Feb 2021

  • disclosed

    17 Feb 2021

  • credit

    Unknown

How to fix?

Upgrade org.jboss:jboss-ejb-client to version 4.0.39.Final or higher.

Overview

org.jboss:jboss-ejb-client is a client library for EJB applications working against Wildfly.

Affected versions of this package are vulnerable to Information Disclosure. Publicly accessible privileged actions may lead to information disclosure on the server they are deployed on.